@import "styleguide/breakpoints";

.container {
  display: flex;
  padding-bottom: 30px;
  background: var(--box-no-style-dark);
}

.occupiedLeft {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  padding-bottom: 14px;
  flex: 1;
}

.occupiedRight {
  display: flex;
  flex: 1;
}

.occupiedCenter {
  width: 85%;
  padding-top: 1.7em;

  .value {
    height: 52px;
    margin: 10px 0 0;
    padding: 14px 16px;
    font-size: 18px;
    border: 1px solid transparent;
    display: flex;
    justify-content: space-between;
    background-color: var(--dark-slate-blue);
  }

  .valueInputGroup {
    background-color: var(--box-no-style-dark);
    margin: 10px 0 0;
  }

  .valueInput {
    height: 52px;
    padding: 14px 16px 16px 13px;
    font-size: 18px;
  }

  .valueInputUnit {
    background-color: var(--box-no-style-dark);
    border: 0;
    font-size: 14px;
  }

  .formControl {
    border: solid 1px var(--greenish-grey);
  }

  .highlighted {
    border: solid 1px var(--partner-base-color);
  }

  .warning {
    color: var(--yellowish-orange);
    border-color: var(--yellowish-orange);
  }

  .unit {
    font-size: 14px;
    color: var(--greenish-grey);
  }
}

.footerStats {
  margin-top: 20px;
}

.tokenBalance {
  font-size: 14px;
  font-weight: 600;

  span {
    color: var(--partner-base-color);
  }
}
